Subject: Fwd: Re: [Sigtran] RFC 3331 doubts

From: Pablo Salinas <[email-masked]>
Date: Thu, 8 May 2003 11:29:12 -0500 (CDT)

Sorry guys, I forgot to metion the detail that made me confused about this part: "within an SG, an Application Server SHOULD be active for only one SGP at any given point in time." In page 66 - Section 4.3.4.3 (line 6) it says: "In the case where an ASP wishes to process the traffic for more than one Application Server across a common SCTP association, the ASP Active message(s) SHOULD contain a list of one or more Interface Identifiers to indicate for which Application Servers the ASP Active message applies." How can the ASP in the MG send an ASP ACTIVE message for more than one Application Server if only "one Aplication Server SHOULD be active for only one SGP"? sorry for being such a pain in the ass,                                        Pablo Salinas

Note: forwarded message attached.

---------------------------------
Do You Yahoo!?
Todo lo que quieres saber de Estados Unidos, América Latina y el resto del Mundo.
Visíta Yahoo! Noticias.

Subject: Re: [Sigtran] RFC 3331 doubts
From: Pablo Salinas <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Thu, 8 May 2003 10:46:55 -0500 (CDT)
List-Id: Signaling Transport <sigtran.ietf.org>

Thanks Brian and Kartik. Kartik you are my hero. Is there any  document like the draft-ietf-sigtran-m3ua-implementors-guide-03.txt, but for m2ua? Can someone tell me where can I get it? I searched the net with google and couldn't find it. I have another doubt regarding the text in the RFC 3331. In Page 8 -Section 1.5.1, where it talks about Mapping, it says:"Note that only one SGP SHOULD provide Siganlling Link Terminal services to an SS/ link. Therefore, within an SG, an Application Server SHOULD be active for only one SGP at any given point in time." But, when the RFC talks about procedures, it doesn't mention again about this matter. Did I miss something in the text, or did they just forget to mention this matter again?
                        thanks,                                      Pablo Salinas 
"Brian F. G. Bidulock" <[email-masked]> wrote:Kartik,

Unless dynamic port allocation is used and there are multiple ASPs
per host for a given set of interfaces. Then ASP Id is required to
distinguish between ASPs.

--brian

Kartik Gupta wrote: (Thu, 08 May 2003 07:09:37)
> Pablo,
> SCTP association on which message arrives is used to determine the
> source/target ASP/SGP of the message.
> 
> --Kartik
> (For M3UA Project, visit http://sourceforge.net/projects/m3ua)
> ----- Original Message -----
> From: Pablo Salinas
> To: Katik Gupta ; [email-masked]
> Sent: Thursday, May 08, 2003 2:23 AM
> Subject: Re: [Sigtran] RFC 3331 doubts
> 
> 
> Thanks again Kalik. I really love this mailing list. People are really
> willing to help each other here.
> 
> I still don't get one little thing. Kalik, when you say:
> "...From the
> definition of ASP (it is an SCTP endpoint),
> it has a unique transport address from which it will send message to the
> SGP. You can check the source address of the
> ASPUP message and find out the ASP which originated the message."
> 
> Do you mean that I can find out the ASP that sent the ASP UP message, by
> knowing the sctp association in which it arrived, because only one ASP can
> be registered to that sctp association?,
> I am asking this because the common header of all signalling protocol
> adaptation layers don't have a source address.
> Or am I missing something here?
> I am sorry if I am being annoying, and thanks for your patience.
> 
> greetings,
> Pablo Salinas
> 
> Katik Gupta wrote:
> Pablo,
> 
> Check responses inline.
> 
> --Kartik
> (For M3UA Project, visit http://sourceforge.net/projects/m3ua)
> ----- Original Message -----
> From: Pablo Saliinas
> To: Kartik Gupta ; [email-masked]
> Sent: Wednesday, May 07, 2003 9:12 PM
> Subject: Re: [Sigtran] RFC 3331 doubts
> 
> 
> Thanks Kartik for your help.
> 
> Now, I am having a hard time to understand what has to be configured on the
> RS and the MG, before they start communicating. It says in the RFC 3331 and
> I quote:
> "The ASP Identifier MUST be used where the SGP cannot identify the ASP by
> pre-configured address/port number information (e.g., where an ASP is
> resident on a Host using dynamic address/port number assignment)." Page 31
> 
> And that's all the information I could find about pre-configured parameters.
> Could anybody tell me what should to be pre-configured in the RS and the MG!
> ?
> And examples of the configuration if you have any?
> 
> KG--> ASP-SGP model followed in M2UA is very similar to M3UA. You can check
> the my M3UA implementation
> to get more ideaa about the pre-configured parameters.
> 
> Because, I cant't understand how the RS and the MG start communicating. In
> the RFC 3331, it says that all starts with a SCTP-ASSOCIATIVE primitive to
> the SCTP layer on the MG. And, after an ASP established an SCTP association
> to an SGP, the SGP aits for the ASP to send an ASP UP message. But, how can
> the RS know from wich ASP is this message comming from?
> 
> KG--> ASP-SGP communication starts after SCTP level association is
> established between them. M-SCTP-ESTABLISH
> primitive is used for this purpose that will use SCTP primitives to
> establish the association. This is specific to the SCTP
> implementation used by M2UA and therefore cannot be generalised. From the
> definition of ASP (it is an SCTP endpoint),
> it! has a unique transport address from which it will send message to the
> SGP. You can check the source address of the
> ASPUP message and find out the ASP which originated the message.
> 
> I have another doubt:
> Is there an error in paragraph 3, line 3, page 58? where it says:
> "...local M2UA layer. At the SGP that initiated the request, the M2UA layer
> will send an..."
> Shouldn't it say : "...At the ASP that initiated the request,..."?
> 
> KG--> yes, it is ASP and not SGP.
> 
> thanks again,
> Pablo Salinas
> 
> 
> Pablo,
> 
> Local Management Entity is tthe Node (ASP or SG) Administrator.
> Local Management Entity provides input to the M2UA layer regarding
> management functions, like requesting/handling change in ASP state etc.,
> using Layer Management interface implemented for M2UA. This Layer
> Management entity is an interface between Local Management entity and
> M2UA. Layer management is an implementation dependent concept.
> For interworking, NIF is implemented which is used to interwork MTP2 and
> M2! UA at SG. You can implement both NIF and Layer Management in the
> same entity also.
> 
> -Kartik
> 
> 
> > Hi there,
> > I am reading the RFC 3331, and I am a bit
> > confused. It talks about the Layer Managment. Here's a
> > quote:
> > "Layer Managment is a nodal function in an SG or ASP
> > that handles the inputs and outputs between the M2UA
> > la! yer and a local managment entity".
> > Is the local managment entity referred here as an
> > Interworking Function Process(in the SG) or an ASP(in
> > the MG), or am I all confused here?
> > And, if I am rigth in the last point, will the Layer
> > Managment be responsible for processing the primitives
> > that come from the upper layer and pass them to the
> > M2UA and viceversa?
> > > Please, help me out on this. There is not enough
> > literature on the M2UA protocol, and I am having a
> > hard time to understand the RFC.
> > > > thanks,> Pablo Salinas
> > > ___________________________________ ______________________
> > Do You Yahoo!?
> > Información de Estados Unidos y América Latina, en Yahoo! Noticias.
> > Visítanos en http://noticias.espanol.yahoo.com
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/ma! ilman/listinfo/sigtran
> 
> 
> ____________________________________ ___________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> 
> 
> 
> 
> Do You Yahoo!?
> Todo lo que quieres saber de Estados Unidos, América Latina y el resto del
> Mundo.
> Visíta Yahoo! Noticias.
> 
> 
> 
> 
> 
> Do You Yahoo!?
> Todo lo que quieres saber de Estados Unidos, América Latina y el resto del
> Mundo.
> Visíta Yahoo! Noticias.
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---------------------------------
Do You Yahoo!?
Todo lo que quieres saber de Estados Unidos, América Latina y el resto del Mundo.
Visíta Yahoo! Noticias.

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 8 May 2003 14:15:40 -0600

Pablo,

*An* application servers SHOULD be active for only one SG at a given time
for the same IID (link).

What this refers to is the difficulty of having multiple SG serve the same
link.  Multiple AS can be active for a given link with a given SG, but
those AS should be active for that link with only one SG.

Do you understand?

--brian

Pablo Salinas wrote:                                  (Thu, 08 May 2003 11:29:12)
> 
>    Sorry  guys, I forgot to metion the detail that made me confused about
>    this part:
> 
>     "within  an  SG,  an Application Server SHOULD be active for only one
>    SGP at any given point in time."
> 
> 
> 
>    In page 66 - Section 4.3.4.3 (line 6) it says:
> 
> 
> 
>    "In  the case where an ASP wishes to process the traffic for more than
>    one  Application  Server  across  a  common  SCTP association, the ASP
>    Active  message(s)  SHOULD  contain  a  list  of one or more Interface
>    Identifiers  to  indicate for which Application Servers the ASP Active
>    message applies."
> 
> 
> 
>    How can the ASP in the MG send an ASP ACTIVE message for more than one
>    Application Server if only "one Aplication Server SHOULD be active for
>    only one SGP"?
> 
> 
> 
>    sorry for being such a pain in the ass,
> 
> 
> 
>                                           Pablo Salinas
>      _________________________________________________________________
> 
>    Do You Yahoo!?
>    [1]  Todo  lo  que  quieres  saber  de  Estados Unidos,
>    América Latina y el resto del Mundo.
>    Visíta [2]Yahoo! Noticias.
> 
> References
> 
>    1. http://espanol.yahoo.com/mail_tagline/*http://espanol.news.yahoo.com
>    2. http://espanol.yahoo.com/mail_tagline/*http://espanol.news.yahoo.com

---

From: Pablo Salinas <[email-masked]>
Date: Thu, 8 May 2003 15:52:32 -0500 (CDT)

Thanks Brian, but I couldn't understand it very well. It seems like it is possible to have more than one Application Server active withing a SGP if they have associated diferents Interface Identifiers (links). Is this affirmation correct? And when the RFC says (Page 66 - Section 4.3.4.3):"In the case where an ASP wishes to process the traffic for more than one Application Server across a common SCTP association, the ASP Active message(s) SHOULD contain a list of one or more Interface Identifiers to indicate for which Application Servers the ASP Active message applies."It means that the ASP Active message sent could active an AS that has/have a different(s) Interface Identifiers associated to it. Am I rigth here?         thanks people,                             Pablo Salinas 

"Brian F. G. Bidulock" <[email-masked]> wrote:Pablo,

Do you understand?

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 8 May 2003 15:11:43 -0600

Pablo,

Let's see if I can say this clearer:

At any given point in time the AS -> SG relation for ACTIVE AS
is many to one relation for a given IID.

Where there are multiple SGs, only one SG should be active for
a given physical signalling link at a time.

An SCTP association has one AS at one end and one SG at the other.

The SG can serve multiple IIDs to an AS over the same SCTP
association.

Is that clearer?

--brian

Pablo Salinas wrote:                                                                 (Thu, 08 May 2003 15:52:32)
> 
>    Thanks Brian, but I couldn't understand it very well. It seems like it
>    is  possible to have more than one Application Server active withing a
>    SGP  if  they have associated diferents Interface Identifiers (links).
>    Is this affirmation correct?
> 
> 
> 
>    And when the RFC says (Page 66 - Section 4.3.4.3):
> 
>    It  means  that  the  ASP  Active message sent could active an AS that
>    has/have  a  different(s) Interface Identifiers associated to it. Am I
>    rigth here?
> 
> 
> 
>            thanks people,
> 
>                                 Pablo Salinas
> 
> 
> 
>    "Brian F. G. Bidulock" <[email-masked]> wrote:
> 
>      Pablo,
>      > 1.
>      http://espanol.yahoo.com/mail_tagline/*http://espanol.news.yahoo.co
>      m
>      > 2.
>      http://espanol.yahoo.com/mail_tagline/*http://espanol.news.yahoo.co
>      m
>      --
>      Brian F.! G. Bidulock
>      [email-masked]
>      http://www.openss7.org/